Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# LoaderOptions Class Reference

Specifies parameters that may be passed to the loader. More...

List of all members.

## Public Types
enum | LoaderFlags { LFSearch = 1, LFReportErrors = 2, LFConvertSkeleton = 4, LFConvertChannels = 8, LFConvertAnim = 12, LFNoDiskCache = 16, LFNoRamCache = 32, LFNoCache = 48, LFCacheOnly = 64, LFAllowInstance = 128 }
enum | TextureFlags { TFPreload = 4, TFPreloadSimple = 8, TFAllow1d = 16, TFGenerateMipmaps = 32, TFMultiview = 64 }
## Public Member Functions
| LoaderOptions (LoaderOptions const copy)
| LoaderOptions (int flags)
| LoaderOptions (int flags, int texture_flags)
| LoaderOptions ()
AutoTextureScale | getAutoTextureScale ()
| See set_auto_texture_scale().
int | getFlags ()
int | getTextureFlags ()
int | getTextureNumViews ()
| See set_texture_num_views().
LoaderOptions | operator= (LoaderOptions const copy)
| output (ostream out)
| setAutoTextureScale (AutoTextureScale scale)
| Set this flag to ATS_none, ATS_up, ATS_down, or ATS_pad to control how a texture is scaled from disk when it is subsequently loaded.
| setFlags (int flags)
| setTextureFlags (int flags)
| setTextureNumViews (int num_views)
| Specifies the expected number of views to load for the texture.

## Detailed Description

Specifies parameters that may be passed to the loader.

## Member Enumeration Documentation

enum LoaderFlags

Enumerator:

  LFSearch |
  LFReportErrors |
  LFConvertSkeleton |
  LFConvertChannels |
  LFConvertAnim |
  LFNoDiskCache |
  LFNoRamCache |
  LFNoCache |
  LFCacheOnly |
  LFAllowInstance |

enum TextureFlags

Enumerator:

  TFPreload |
  TFPreloadSimple |
  TFAllow1d |
  TFGenerateMipmaps |
  TFMultiview |

## Constructor & Destructor Documentation

LoaderOptions | ( | LoaderOptions const | copy | ) |

LoaderOptions | ( | int | flags | ) |

LoaderOptions | ( |  | ) |

LoaderOptions | ( | int | flags,
|  | int | texture_flags
| ) |  |

## Member Function Documentation

AutoTextureScale getAutoTextureScale | ( |  | ) |

See set_auto_texture_scale().

int getFlags | ( |  | ) |

int getTextureFlags | ( |  | ) |

int getTextureNumViews | ( |  | ) |

See set_texture_num_views().

LoaderOptions operator= | ( | LoaderOptions const | copy | ) |

output | ( | ostream | out | ) |

setAutoTextureScale | ( | AutoTextureScale | scale | ) |

Set this flag to ATS_none, ATS_up, ATS_down, or ATS_pad to control how a texture is scaled from disk when it is subsequently loaded.

Set it to ATS_unspecified to restore the default behavior.

setFlags | ( | int | flags | ) |

setTextureFlags | ( | int | flags | ) |

setTextureNumViews | ( | int | num_views | ) |

Specifies the expected number of views to load for the texture.

This is ignored unless TF_multiview is included in texture_flags. This must be specified when loading a 3-d multiview texture, in which case it is used to differentiate z levels from separate views; it may be zero in the case of 2-d textures or cube maps, in which case the number of views can be inferred from the number of images found on disk.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties